Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::QuaternionLinearInterpolator Class Reference

四元数回転線形補間 More...

`#include <QuaternionLinearInterpolator.h>`

Inheritance diagram for Lamp::QuaternionLinearInterpolator:

List of all members.

## Public Member Functions
| QuaternionLinearInterpolator ()
| コンストラクタ
virtual | ~QuaternionLinearInterpolator ()
| デストラクタ
| QuaternionLinearInterpolator (const QuaternionLinearInterpolator &copy)
| コピーコンストラクタ
virtual QuaternionLinearInterpolator & | operator= (const QuaternionLinearInterpolator &copy)
| 代入演算子
virtual RotationInterpolator * | duplicate () const
| 複製
virtual bool | equals (const RotationInterpolator &target) const
| 同じ値かどうか
virtual float | getLength () const
| 長さの取得
virtual bool | isEulerInterpolator () const
| オイラー補間かどうか
virtual Vector3 | eulerInterpolate (float time)
| オイラー補間
virtual bool | isQuaternionInterpolator () const
| 四元数補間かどうか
virtual Quaternion | quaternionInterpolate (float time)
| 四元数補間
virtual void | setKeyCount (int keyCount)
| キー数の設定
virtual int | getKeyCount () const
| キー数の取得
virtual void | setKey (int index, float time, const Quaternion &value)
| キーの設定
virtual const Quaternion & | getValue (int index) const
| 値の取得
virtual float | getTime (int index) const
| 時間の取得
virtual bool | isQuaternionLinearInterpolator () const
| 四元数回転線形補間かどうか

## Detailed Description

四元数回転線形補間

Definition at line 36 of file QuaternionLinearInterpolator.h.

## Constructor & Destructor Documentation

Lamp::QuaternionLinearInterpolator::QuaternionLinearInterpolator | ( | const QuaternionLinearInterpolator & | copy | ) | `[explicit]`

  | コピーコンストラクタ Parameters:
  copy | コピー元
Definition at line 42 of file QuaternionLinearInterpolator.cpp. References keyCount_, keys_, and NULL.

## Member Function Documentation

virtual RotationInterpolator* Lamp::QuaternionLinearInterpolator::duplicate | ( |  | ) | const`[inline, virtual]`

| 複製 Returns: 複製されたベクトル補間。呼び出し元でdeleteする必要がある Implements Lamp::RotationInterpolator. Definition at line 68 of file QuaternionLinearInterpolator.h. References QuaternionLinearInterpolator().

virtual bool Lamp::QuaternionLinearInterpolator::equals | ( | const RotationInterpolator & | target | ) | const`[inline, virtual]`

  | 同じ値かどうか Parameters:
  target | 比較対象
Returns: 同じ値ならtrueをかえす Implements Lamp::RotationInterpolator. Definition at line 79 of file QuaternionLinearInterpolator.h. References Lamp::RotationInterpolator::castQuaternionLinearInterpolator(), keyCount_, keys_, and NULL.

Vector3 Lamp::QuaternionLinearInterpolator::eulerInterpolate | ( | float | time | ) | `[virtual]`

  | オイラー補間 Parameters:
  time | 時間
Returns: 補間された回転 Implements Lamp::RotationInterpolator. Definition at line 79 of file QuaternionLinearInterpolator.cpp. References Lamp::Quaternion::getRotationXYZ(), quaternionInterpolate(), Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z.

virtual int Lamp::QuaternionLinearInterpolator::getKeyCount | ( |  | ) | const`[inline, virtual]`

| キー数の取得 Returns: キー数 Definition at line 147 of file QuaternionLinearInterpolator.h. Referenced by Lamp::TextAnimationSaver::writeQuaternionLinearInterpolator(), and Lamp::BinaryAnimationSaver::writeQuaternionLinearInterpolator().

float Lamp::QuaternionLinearInterpolator::getLength | ( |  | ) | const`[virtual]`

| 長さの取得 Returns: 長さ Implements Lamp::RotationInterpolator. Definition at line 71 of file QuaternionLinearInterpolator.cpp. References Assert, and NULL. Referenced by quaternionInterpolate().

virtual float Lamp::QuaternionLinearInterpolator::getTime | ( | int | index | ) | const`[inline, virtual]`

  | 時間の取得 Parameters:
  index | キーインデックス
Returns: 時間 Definition at line 178 of file QuaternionLinearInterpolator.h. References Assert, and NULL. Referenced by Lamp::TextAnimationSaver::writeQuaternionLinearInterpolator(), and Lamp::BinaryAnimationSaver::writeQuaternionLinearInterpolator().

virtual const Quaternion& Lamp::QuaternionLinearInterpolator::getValue | ( | int | index | ) | const`[inline, virtual]`

  | 値の取得 Parameters:
  index | キーインデックス
Returns: 値 Definition at line 168 of file QuaternionLinearInterpolator.h. References Assert, and NULL. Referenced by Lamp::TextAnimationSaver::writeQuaternionLinearInterpolator(), and Lamp::BinaryAnimationSaver::writeQuaternionLinearInterpolator().

virtual bool Lamp::QuaternionLinearInterpolator::isEulerInterpolator | ( |  | ) | const`[inline, virtual]`

| オイラー補間かどうか Returns: オイラー補間ならtrue Implements Lamp::RotationInterpolator. Definition at line 109 of file QuaternionLinearInterpolator.h.

virtual bool Lamp::QuaternionLinearInterpolator::isQuaternionInterpolator | ( |  | ) | const`[inline, virtual]`

| 四元数補間かどうか Returns: 四元数補間ならtrue Implements Lamp::RotationInterpolator. Definition at line 125 of file QuaternionLinearInterpolator.h.

virtual bool Lamp::QuaternionLinearInterpolator::isQuaternionLinearInterpolator | ( |  | ) | const`[inline, virtual]`

| 四元数回転線形補間かどうか Returns: 四元数回転線形補間ならtrue Reimplemented from Lamp::RotationInterpolator. Definition at line 190 of file QuaternionLinearInterpolator.h.

QuaternionLinearInterpolator & Lamp::QuaternionLinearInterpolator::operator= | ( | const QuaternionLinearInterpolator & | copy | ) | `[virtual]`

  | 代入演算子 Parameters:
  copy | 代入元
Definition at line 54 of file QuaternionLinearInterpolator.cpp. References keyCount_, keys_, and SafeArrayDelete.

Quaternion Lamp::QuaternionLinearInterpolator::quaternionInterpolate | ( | float | time | ) | `[virtual]`

  | 四元数補間 Parameters:
  time | 時間
Returns: 補間された回転 Implements Lamp::RotationInterpolator. Definition at line 95 of file QuaternionLinearInterpolator.cpp. References Assert, getLength(), NULL, Lamp::Quaternion::w, Lamp::Quaternion::x, Lamp::Quaternion::y, and Lamp::Quaternion::z. Referenced by eulerInterpolate().

virtual void Lamp::QuaternionLinearInterpolator::setKey | ( | int | index,
|  | float | time,
|  | const Quaternion & | value
| ) | `[inline, virtual]`

  | キーの設定 Parameters:
  index | キーインデックス
  time | 時間
  value | 値
Definition at line 156 of file QuaternionLinearInterpolator.h. References Assert, and NULL. Referenced by Lamp::RotationInterpolationCompressor::compressLinear(), Lamp::TextAnimationLoader::readQuaternionLinearInterpolator(), and Lamp::BinaryAnimationLoader::readQuaternionLinearInterpolator().

void Lamp::QuaternionLinearInterpolator::setKeyCount | ( | int | keyCount | ) | `[virtual]`

  | キー数の設定 Parameters:
  keyCount | キー数
Definition at line 143 of file QuaternionLinearInterpolator.cpp. References Assert, and SafeArrayDelete. Referenced by Lamp::RotationInterpolationCompressor::compressLinear(), Lamp::TextAnimationLoader::readQuaternionLinearInterpolator(), and Lamp::BinaryAnimationLoader::readQuaternionLinearInterpolator().

The documentation for this class was generated from the following files:

- QuaternionLinearInterpolator.h
- QuaternionLinearInterpolator.cpp